[Dell Latitude E5440] O2 Card reader [1217:8520] could not be detected after rebooting this system

Bug #1346067 reported by Po-Hsu Lin on 2014-07-21
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Medium
Adam Lee
linux (Ubuntu)
Medium
Adam Lee
Trusty
Medium
Adam Lee
Utopic
Medium
Adam Lee
Vivid
Medium
Adam Lee

Bug Description

SRU Justification:

Impact: the card reader does not work on this system after rebooting.
Fix: cherry pick a simple one line patch
Testcase: already tested in OEM projects

CID: 201307-14017 Dell Latitude E5440

The O2 card reader, O2 Micro, Inc. SD/MMC Card Reader Controller [1217:8520] (rev 01)
is not stable on this system, the card reader cannot be detected.
It works normally after reboot, but will be gone if you reboot it one more time

Steps:
1. Install 14.04 + update (3.13.0-32), boot to desktop
2. Run lspci -nn to see if the card reader is there
3. Insert a SD card
4. Reboot, go through step 2 and 3 again

Expected result:
* Card reader should be found in lspci output, SD card should be mounted automatically

Actual result:
* Nothing happened, the card was not detected at all
* On step 4, the card reader works, if rebooted again, it will be gone.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-32-generic 3.13.0-32.57
ProcVersionSignature: Ubuntu 3.13.0-32.57-generic 3.13.11.4
Uname: Linux 3.13.0-32-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1398 F.... pulseaudio
 /dev/snd/controlC1: ubuntu 1398 F.... pulseaudio
CurrentDesktop: Unity
Date: Mon Jul 21 04:07:31 2014
HibernationDevice: RESUME=UUID=730e0474-ac0b-4fc6-a321-6203c9b07a19
InstallationDate: Installed on 2014-07-21 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: Dell Inc. Latitude E5440
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-32-generic.efi.signed root=UUID=b55056b7-f859-4273-9793-12757a75c5ee ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-32-generic N/A
 linux-backports-modules-3.13.0-32-generic N/A
 linux-firmware 1.127.4
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/26/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.name: 01348S
dmi.board.vendor: Dell Inc.
dmi.board.version: X02
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd06/26/2014:svnDellInc.:pnLatitudeE5440:pvr01:rvnDellInc.:rn01348S:rvrX02:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E5440
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Po-Hsu Lin (cypressyew) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Daniel Manrique (roadmr) on 2014-07-21
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu):
assignee: Anthony Wong (anthonywong) → Adam Lee (adam8157)

what is the sub ID? that lspci.txt is after reboot, don't see this card reader in it.

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Po-Hsu Lin (cypressyew) wrote :

Hello, it's:
01:00.0 SD Host controller [0805]: O2 Micro, Inc. SD/MMC Card Reader Controller [1217:8520] (rev 01) (prog-if 01)
Subsystem: Dell Device [1028:05de]

Adam Lee (adam8157) wrote :

Hi, Po-Hsu Lin

Please test this kernel: http://kernel.ubuntu.com/~adamlee/lp1346067/

Po-Hsu Lin (cypressyew) wrote :

Hello Adam,

It's not working on top of 14.04 (3.13.0-32)

Po-Hsu Lin (cypressyew) wrote :

uname -a result indicates that the kernel was not running (timestamp is Jul. 15, not today)

Verified again by removing the installed 3.13.0-32 kernel and install the kernel form #5 again, cool boot
It now running on 3.13.0-32 Jul. 24 15:01:00
But still not working, card reader appear / disappear regularly after reboot

Adam Lee (adam8157) wrote :

@Po-Hsu

Have you tried the latest mainline kernel? http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-utopic/

Po-Hsu Lin (cypressyew) wrote :

Hello Adam,
Still exist with mainline kernel 3.16 and 3.17-rc1

Po-Hsu Lin (cypressyew) wrote :

dmesg output while the card reader is working normally. (3.17-rc1)

Adam Lee (adam8157) wrote :

Hi, Po-Hsu

Please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-trusty/ when you have time, then I can get a tentative conclusion.

Po-Hsu Lin (cypressyew) wrote :

Hello Adam,
The card reader does not work with this kernel (3.13.0-031300) at all

Adam Lee (adam8157) wrote :

Sorry, Po-Hsu, could you please attach the dmesg log after rebooting(3.13.0-031300) too? I hadn't made myself clear, the point to test v3.13-trusty is to check if the device always shows up with that kernel.

Po-Hsu Lin (cypressyew) wrote :

The log attached in #12 is not the one you want?
[ 0.000000] Linux version 3.13.0-031300-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201401192235 SMP Mon Jan 20 03:36:48 UTC 2014

Adam Lee (adam8157) wrote :

I need your help of trying to reproduce the device missing issue, cold boot and reboot with that 3.13.0-031300 kernel, it doesn't matter whether the reader works(sure it won't), the point is to check if the device will also disappear under this kernel after rebooting

Po-Hsu Lin (cypressyew) wrote :

Cold boot and reboot with 3.13.0-031300 kernel, the O2 Micro Inc. SD/MMC Card Reader could always be found in lspci output.
Do you need to dmesg output for cold boot and reboot?

Adam Lee (adam8157) wrote :

Hi, Po-Hsu

Here is my analysis, the hardware disapears from kernel log and lspci output, it has two possiable causes:

1, BIOS issue
2, kernel driver issue

I asked you to test 3.13.0-031300 kernel, which has no O2Micro initialization codes, the result turns out the hardware won't disappear. So I'm quite confident the root cause is in that O2Micro initialization codes.

Will report this issue to vendor who has the datasheet.

Po-Hsu Lin (cypressyew) wrote :

Cool! Thanks for the analysis.

Adam Lee (adam8157) on 2014-08-19
summary: - [Dell Latitude E5440] O2 Card reader [1217:8520] is not stable on this
- system
+ [Dell Latitude E5440] O2 Card reader [1217:8520] could not be detected
+ after rebooting this system
Adam Lee (adam8157) wrote :

Quote from vendor:

======
Update the issue debug status:

(1) We don't have Dell E5440 NoteBook at WH now; and we can't reproduce this issue by our platform.

(2) We reviewed the our register setting; and don't find any issue.

(3) We suspect this issue may cause by BIOS and Platform feature setting conflicted with our sdhci-pci-o2micro setting.
    We are asking Dell for schematic for Our Card Reader Chip now.

By the way, do you have this notebook or not?
In order to do get more info, could you help us to get lspci log for following 3 log:
        a. Use Kernel 3.13.0-031300 and Cold boot to Linux, Then "lspci -vxxxx > log1"
      b. Use Kernel 3.16 or newer and Cold boot to Linux, Then "lspci -vxxxx > log2".
      c. Then Reboot the OS, this time the card reader will disappear. Then "lspci -vxxxx > log3".
=======

Po-Hsu Lin (cypressyew) wrote :

Use Kernel 3.13.0-031300 and Cold boot to Linux, Then "lspci -vxxxx > log1

Po-Hsu Lin (cypressyew) wrote :

Use Kernel 3.16 or newer and Cold boot to Linux, Then "lspci -vxxxx > log2"

Po-Hsu Lin (cypressyew) wrote :

Then Reboot the OS, this time the card reader will disappear. Then "lspci -vxxxx > log3"

peter.guo (peter-guo) wrote :

Hi Po-Hsu,

I am Vendor who is to check this issue.

Sorry for I don't tell you clearly in last talk. Before use lspci command, We need to get root privilege first; otherwize the log will be not contail enough information.

Below is the update steps:

    a. Use Kernel 3.13.0-031300 and Cold boot to Linux, Then "sudo su" to get root privilege and "lspci -vxxxx > log1"
    b. Use Kernel 3.16 or newer and Cold boot to Linux, Then "sudo su" to get root privilege and "lspci -vxxxx > log2".
    c. Then Reboot the OS, this time the card reader will disappear. Then "sudo su" to get root privilege and "lspci -vxxxx > log3".

I am really very sorry to trouble. Could you get the log again, thanks.

Po-Hsu Lin (cypressyew) wrote :

Hi Peter,
This system is unable to dump all information from lspci -vxxx under root privilege, seems that it will freeze silently in the middle of that command (in both 3.13 and 3.16)

I tried to run "lspci -vxxxx | more" to see when it will freeze, it truns out that this happened on dumping:

00:1c.3 PCI bridge: Intel Corporation Lynx Point-LP PCI Express Root Port 4 (rev e4) (prog-if 00 [Normal decode])
 Flags: bus master, fast devsel, latency 0
 Bus: primary=00, secondary=02, subordinate=06, sec-latency=0
 I/O behind bridge: 0000c000-0000dfff
 Memory behind bridge: f6000000-f6bfffff
 Prefetchable memory behind bridge: 00000000f0000000-00000000f07fffff
 Capabilities: [40] Express Root Port (Slot+), MSI 00
 Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
 Capabilities: [90] Subsystem: Dell Device 05de
 Capabilities: [a0] Power Management version 3
 Capabilities: [100] #00
 Capabilities: [200] L1 PM Substates
 Kernel driver in use: pcieport
.....
4f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

The next line will make this happen
(The attached lspci.2 output is created manually during the "lspci -vxxxx | more" session)

peter.guo (peter-guo) wrote :

Hi Po-Hsu,

According to your above log, we can use below method instead to dump only the pci device we need to check only.

 a. Use Kernel 3.13.0-031300 and Cold boot to Linux,
     sudo su
    lspci -vxxxx -s 01:00.0 > o2dev_log1
    lspci -vxxxx -s 00:1c.0 > rcdev_log1

b.Use Kernel 3.16 or newer and Cold boot to Linux
     sudo su
    lspci -vxxxx -s 01:00.0 > o2dev_log2
    lspci -vxxxx -s 00:1c.0 > rcdev_log2

 c. Then Reboot the OS, this time the card reader will disappear.
     sudo su
    lspci -vxxxx -s 00:1c.0 > rcdev_log3

Step C only get 1 log as our device is not exist.
If you find freeze case when get rcdev_logx. please use lspc -vxxxx | more to get instead, and contuine to get all log files.

Thank you very much.

Po-Hsu Lin (cypressyew) wrote :

Dump device individually works!

peter.guo (peter-guo) wrote :

Hi Po-Hsu,

Sorry to trouble you again, We need 1 more log,

Use Kernel 3.13.0-031300 and Cold boot to Linux;
Then Warm boot to Linux Again.
     sudo su
    lspci -vxxxx -s 01:00.0 > o2dev_log4
    lspci -vxxxx -s 00:1c.0 > rcdev_log4

Thanks

Adam Lee (adam8157) wrote :

@Po-Hsu, I compiled a kernel with the patch from @peter.guo, please test, thanks

http://kernel.ubuntu.com/~adamlee/lp1346067/

Adam Lee (adam8157) wrote :

amend #28

sorry, the package is http://kernel.ubuntu.com/~adamlee/lp1346067_v2/

Po-Hsu Lin (cypressyew) wrote :

Hello Peter, here they are.

Po-Hsu Lin (cypressyew) wrote :

Adam, it seems that the kernel you provided in #29 works
(3.13.0-35-generic #62 SMP Mon Aug 25 10:49:05)
Card reader won't drop after rebooting the system

Adam Lee (adam8157) wrote :

quote Peter Guo from O2Micro:

"Hi Adam,

Last patch release to you is our candidate version, which we will update to kernel org.

But for this issue, We want to get the root cause of it. Attachment is a test patch, could you generate kernel and ask
Po-Hsu Lin to check it?"

@Po-Hsu, could you please test http://kernel.ubuntu.com/~adamlee/lp1346067_v3/ ? Thanks.

Po-Hsu Lin (cypressyew) wrote :

Will do, any log needed?

Po-Hsu Lin (cypressyew) wrote :

Kernel in #32 works after cold boot / reboot

Adam Lee (adam8157) wrote :

vendor submitted their patch, waiting it to be merged into mainline

Adam Lee (adam8157) on 2014-09-24
Changed in hwe-next:
assignee: nobody → Adam Lee (adam8157)
importance: Undecided → Medium
status: New → In Progress
Adam Lee (adam8157) on 2014-12-08
description: updated
Adam Lee (adam8157) wrote :

patch has been merged into linus's master branch and submitted to kernel-team@

Brad Figg (brad-figg) on 2014-12-09
Changed in linux (Ubuntu Utopic):
status: New → Fix Committed
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Adam Lee (adam8157) on 2014-12-10
no longer affects: linux (Ubuntu Lucid)
no longer affects: linux (Ubuntu Precise)
Changed in linux (Ubuntu Trusty):
assignee: nobody → Adam Lee (adam8157)
Changed in linux (Ubuntu Utopic):
assignee: nobody → Adam Lee (adam8157)
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Adam Lee (adam8157) on 2014-12-12
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in hwe-next:
status: In Progress → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
tags: added: verification-needed-utopic
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Po-Hsu Lin (cypressyew) wrote :

Verified on 201307-14017 with Trusty -proposed, it works as expected.
Card reader works after reboot.

tags: added: verification-done-trusty
removed: verification-needed-trusty
Po-Hsu Lin (cypressyew) wrote :

Verified on 201307-14017 with Utopic -proposed, it works as expected.
Card reader works after reboot.
Thanks!!

tags: added: verification-done-utopic
removed: verification-needed-utopic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.18.0-8.9

---------------
linux (3.18.0-8.9) vivid; urgency=low

  [ Leann Ogasawara ]

  * Release Tracking Bug
    - LP: #1407692
  * rebase to v3.18.1
  * ubuntu: AUFS -- Resolve build failure union has no member named
    'd_child'

  [ Upstream Kernel Changes ]

  * arm64: optimized copy_to_user and copy_from_user assembly code
    - LP: #1400349
  * x86, kvm: Clear paravirt_enabled on KVM guests for espfix32's benefit
    - LP: #1400314
    - CVE-2014-8134
  * rebase to v3.18.1
 -- Leann Ogasawara <email address hidden> Mon, 05 Jan 2015 09:12:32 -0800

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.8 KiB)

This bug was fixed in the package linux - 3.16.0-29.39

---------------
linux (3.16.0-29.39) utopic; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402822

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Paolo Pisati ]

  * [Config] armhf: VIRTIO_[BALLOON|MMIO]=y

  [ Upstream Kernel Changes ]

  * Revert "arm64: Make default dma_ops to be noncoherent"
    - LP: #1386490
  * Revert "percpu: free percpu allocation info for uniprocessor system"
    - LP: #1401079
  * ath3k: Add support of MCI 13d3:3408 bt device
    - LP: #1395465
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * cpufreq: Allow stop CPU callback to be used by all cpufreq drivers
    - LP: #1397928
  * cpufreq: powernv: Set the pstate of the last hotplugged out cpu in
    policy->cpus to minimum
    - LP: #1397928
  * cpufreq: powernv: Set the cpus to nominal frequency during reboot/kexec
    - LP: #1397928
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * iwlwifi: add device / firmware to fw-error-dump file
    - LP: #1399440
  * iwlwifi: rename iwl_mvm_fw_error_next_data
    - LP: #1399440
  * iwlwifi: pcie: add firmware monitor capabilities
    - LP: #1399440
  * iwlwifi: remove wrong comment about alignment in iwl-fw-error-dump.h
    - LP: #1399440
  * iwlwifi: mvm: don't collect logs in the interrupt thread
    - LP: #1399440
  * iwlwifi: mvm: kill iwl_mvm_fw_error_rxf_dump
    - LP: #1399440
  * iwlwifi: mvm: update layout of firmware error dump
    - LP: #1399440
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1401079
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1401079
  * pinctrl: baytrail: show output gpio state correctly on Intel Baytrail
    - LP: #1401079
  * ALSA: hda - Add dock support for Thinkpad T440 (17aa:2212)
    - LP: #1401079
  * ALSA: hda - Add ultra dock support for Thinkpad X240.
    - LP: #1401079
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1401079
  * ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1401079
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument
    - LP: #1401079
  * powerpc/powernv: Properly fix LPC debugfs endianness
    - LP: #1401079
  * irqchip: armada-370-xp: Fix MSI interrupt handling
    - LP: #1401079
  * irqchip: armada-370-xp: Fix MPIC interrupt handling
    - LP: #1401079
  * USB: kobil_sct: fix non-atomic allocation in write path
    - LP: #1401079
  * USB: opticon: fix non-atomic allocation in write path
    - LP: #14010...

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.8 KiB)

This bug was fixed in the package linux - 3.13.0-44.73

---------------
linux (3.13.0-44.73) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402872

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Upstream Kernel Changes ]

  * iwlwifi: mvm: fix merge damage
    - LP: #1393317
  * iwlwifi: remove IWL_UCODE_TLV_FLAGS_SCHED_SCAN flag
    - LP: #1393317
  * iwlwifi: mvm: disable scheduled scan to prevent firmware crash
    - LP: #1393317
  * iwlwifi: mvm: enable scheduled scan on newest firmware
    - LP: #1393317
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * phylib: introduce PHY_INTERFACE_MODE_XGMII for 10G PHY
    - LP: #1381084
  * of: make of_get_phy_mode parse 'phy-connection-type'
    - LP: #1381084
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * drivers:scsi:storvsc: Fix a bug in handling ring buffer failures that
    may result in I/O freeze
    - LP: #1400289
  * arm64: optimized copy_to_user and copy_from_user assembly code
    - LP: #1400349
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * drm/radeon: initialize sadb to NULL in the audio code
    - LP: #1402714
  * powerpc/vphn: NUMA node code expects big-endian
    - LP: #1401150
  * ALSA: usb-audio: Fix device_del() sysfs warnings at disconnect
    - LP: #1402853
  * ALSA: hda - Add mute LED pin quirk for HP 15 touchsmart
    - LP: #1334950, #1402853
  * rcu: Make callers awaken grace-period kthread
    - LP: #1402853
  * rcu: Use rcu_gp_kthread_wake() to wake up grace period kthreads
    - LP: #1402853
  * net: sctp: fix NULL pointer dereference in af->from_addr_param on
    malformed packet
    - LP: #1402853
  * KVM: x86: Don't report guest userspace emulation error to userspace
    - LP: #1402853
  * [media] ttusb-dec: buffer overflow in ioctl
    - LP: #1402853
  * arm64: __clear_user: handle exceptions on strb
    - LP: #1402853
  * ARM: pxa: fix hang on startup with DEBUG_LL
    - LP: #1402853
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1402853
  * acer-wmi: Add Aspire 5741 to video_vendor_dmi_table
    - LP: #1402853
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1402853
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1402853
  * [media] ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1402853
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument
    - LP: #1402853
  * USB: kobil_sct: f...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Adam Lee (adam8157) on 2015-01-12
Changed in hwe-next:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers